<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_181) on Sat Nov 10 15:43:02 CET 2018 -->
<title>D-Index</title>
<meta name="date" content="2018-11-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="D-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-3.html">Prev Letter</a></li>
<li><a href="index-5.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-4.html" target="_top">Frames</a></li>
<li><a href="index-4.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a name="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><a href="../aggregations/bucketaggs/DateRange.html" title="class in aggregations.bucketaggs"><span class="typeNameLink">DateRange</span></a> - Class in <a href="../aggregations/bucketaggs/package-summary.html">aggregations.bucketaggs</a></dt>
<dd>
<div class="block">Represents the ES date_range aggregation</div>
</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/DateRange.html#DateRange--">DateRange()</a></span> - Constructor for class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/DateRange.html" title="class in aggregations.bucketaggs">DateRange</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../aggregations/bucketaggs/DateRange.html#DateRange-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.util.List-boolean-java.util.List-">DateRange(String, String, String, String, String, String, List&lt;AggregationType&gt;, boolean, List&lt;RangeElement&gt;)</a></span> - Constructor for class aggregations.bucketaggs.<a href="../aggregations/bucketaggs/DateRange.html" title="class in aggregations.bucketaggs">DateRange</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../deserialization/package-summary.html">deserialization</a> - package deserialization</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../deserialization/AggregationDeserializer.html#deserialize-com.google.gson.JsonElement-java.lang.reflect.Type-com.google.gson.JsonDeserializationContext-">deserialize(JsonElement, Type, JsonDeserializationContext)</a></span> - Method in class deserialization.<a href="../deserialization/AggregationDeserializer.html" title="class in deserialization">AggregationDeserializer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../deserialization/QueryTypeDeserializer.html#deserialize-com.google.gson.JsonElement-java.lang.reflect.Type-com.google.gson.JsonDeserializationContext-">deserialize(JsonElement, Type, JsonDeserializationContext)</a></span> - Method in class deserialization.<a href="../deserialization/QueryTypeDeserializer.html" title="class in deserialization">QueryTypeDeserializer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../deserialization/RequestDeserializer.html#deserialize-com.google.gson.JsonElement-java.lang.reflect.Type-com.google.gson.JsonDeserializationContext-">deserialize(JsonElement, Type, JsonDeserializationContext)</a></span> - Method in class deserialization.<a href="../deserialization/RequestDeserializer.html" title="class in deserialization">RequestDeserializer</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../deserialization/TemplateDeserializer.html#deserialize-com.google.gson.JsonElement-java.lang.reflect.Type-com.google.gson.JsonDeserializationContext-">deserialize(JsonElement, Type, JsonDeserializationContext)</a></span> - Method in class deserialization.<a href="../deserialization/TemplateDeserializer.html" title="class in deserialization">TemplateDeserializer</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../docrequests/DocCreateRequest.html" title="class in docrequests"><span class="typeNameLink">DocCreateRequest</span></a> - Class in <a href="../docrequests/package-summary.html">docrequests</a></dt>
<dd>
<div class="block">Represents the ES index request</div>
</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocCreateRequest.html#DocCreateRequest--">DocCreateRequest()</a></span> - Constructor for class docrequests.<a href="../docrequests/DocCreateRequest.html" title="class in docrequests">DocCreateRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocCreateRequest.html#DocCreateRequest-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">DocCreateRequest(String, String, String, String)</a></span> - Constructor for class docrequests.<a href="../docrequests/DocCreateRequest.html" title="class in docrequests">DocCreateRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../docrequests/DocDeleteRequest.html" title="class in docrequests"><span class="typeNameLink">DocDeleteRequest</span></a> - Class in <a href="../docrequests/package-summary.html">docrequests</a></dt>
<dd>
<div class="block">Represents the ES delete request</div>
</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocDeleteRequest.html#DocDeleteRequest--">DocDeleteRequest()</a></span> - Constructor for class docrequests.<a href="../docrequests/DocDeleteRequest.html" title="class in docrequests">DocDeleteRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocDeleteRequest.html#DocDeleteRequest-java.lang.String-java.lang.String-java.lang.String-">DocDeleteRequest(String, String, String)</a></span> - Constructor for class docrequests.<a href="../docrequests/DocDeleteRequest.html" title="class in docrequests">DocDeleteRequest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../docrequests/DocRequestException.html" title="class in docrequests"><span class="typeNameLink">DocRequestException</span></a> - Exception in <a href="../docrequests/package-summary.html">docrequests</a></dt>
<dd>
<div class="block">Represents a Request specific exception</div>
</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocRequestException.html#DocRequestException--">DocRequestException()</a></span> - Constructor for exception docrequests.<a href="../docrequests/DocRequestException.html" title="class in docrequests">DocRequestException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocRequestException.html#DocRequestException-java.lang.String-">DocRequestException(String)</a></span> - Constructor for exception docrequests.<a href="../docrequests/DocRequestException.html" title="class in docrequests">DocRequestException</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../docrequests/package-summary.html">docrequests</a> - package docrequests</dt>
<dd>&nbsp;</dd>
<dt><a href="../docrequests/DocUpdateRequest.html" title="class in docrequests"><span class="typeNameLink">DocUpdateRequest</span></a> - Class in <a href="../docrequests/package-summary.html">docrequests</a></dt>
<dd>
<div class="block">Represents the ES update request</div>
</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocUpdateRequest.html#DocUpdateRequest--">DocUpdateRequest()</a></span> - Constructor for class docrequests.<a href="../docrequests/DocUpdateRequest.html" title="class in docrequests">DocUpdateRequest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../docrequests/DocUpdateRequest.html#DocUpdateRequest-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">DocUpdateRequest(String, String, String, String)</a></span> - Constructor for class docrequests.<a href="../docrequests/DocUpdateRequest.html" title="class in docrequests">DocUpdateRequest</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">K</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-3.html">Prev Letter</a></li>
<li><a href="index-5.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-4.html" target="_top">Frames</a></li>
<li><a href="index-4.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
